package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag112;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT112Creator;

public class Tag20Creator extends AbsTagCreate {

    private MT112Creator mt112Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt112Creator= (MT112Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt112Creator.getTransactionReferenceNumber();
        mt112Creator.set("20", tag20Value);
    }
}
